
<div class="container " >
  <div *ngIf="message.message" class="info-message">
    <div *ngIf="message.isInfo" class="alert alert-success" role="alert">
      {{message.message}}
    </div>
    <div *ngIf="!message.isInfo" class="alert alert-danger" role="alert">
      {{message.message}}
    </div>
  </div>
  <br/>
  <h1 >Dodaj miejsce</h1>
  <form [formGroup]="addForm" novalidate>
    <div class="form-group">
      <label for="name">Nazwa<span class="red-star">*</span></label>
      <input type="text" class="form-control" id="name" formControlName="name" name="name">
      <div *ngIf="(addForm.controls.name.touched || submit) && addForm.controls.name.errors" class="alert alert-danger">
      <label>Pole wymagane</label>
    </div>
    </div>

    <div class="form-group">
      <label for="Opis">Opis</label>
      <input type="text" class="form-control" id="Opis" formControlName="description" name="desc">
    </div>

    <div class="form-group">
      <label for="Lattitude">Szerokość<span class="red-star">*</span></label>
      <input class="form-control" formControlName="latitude" id="Lattitude" max="180.0000000" min="0.000001" name="lat"
             placeholder="50,0000000" step="0.0000001" type="number">
      <div *ngIf="(f.latitude.touched || submit) && f.latitude.errors" class="alert alert-danger">
        <label>Pole wymagane, wartość: 0-180</label>
    </div>
    </div>

    <div class="form-group">
      <label for="Longtitude">Długość<span class="red-star">*</span></label>
      <input class="form-control" formControlName="longitude" id="Longtitude" max="180.0000000" min="0.000001"
             name="lng" placeholder="50,0000000" step="0.0000001" type="number">
      <div *ngIf="(f.longitude.touched || submit)&& f.longitude.errors" class="alert alert-danger">
        <label>Pole wymagane, wartość: 0-180</label>
    </div>
    </div>

    <div class="form-group">
      <label for="type">Rodzaj<span class="red-star">*</span></label>
      <select class="form-control" id="type"  formControlName="type" name="type">
        <option *ngFor="let type of types" [value]="type" >{{type}}</option>
      </select>
      <div *ngIf="(f.type.touched || submit) && f.type.errors" class="alert alert-danger">
        <label>Pole wymagane</label>
    </div>
    </div>
    <button type="submit" class="btn btn-success" (click)="onSubmit()">Submit</button>

  </form>
</div>



